
QGIS Application - Bug report #16305

WMS GetLegend Fails in QGIS 2.99

2017-03-07 06:16 AM - Dave Sampson

Status: Closed

Priority: High

Assignee:

Category: Web Services clients/WMS

Affected QGIS version:master Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:No Copied to github as #: 24215

Description

As a QGIS user

I want to access a WMS and have a legend appear in the Layers panel

So that I can match the feature classes to a legend item

Details:

Given this WMS: 

http://ec.gc.ca/arcgis/services/data/90be49bd-e492-4251-9082-b756434b8c45/MapServer/WMSServer?request=getcapabilitie

&version=1.3.0&service=wms&layers=Canadian%20Protected%20Areas%20/%20Aires%20prot%C3%A9g%C3%A9es%20du%20Canada

20Canada

I should get this legend item: 

http://ec.gc.ca/arcgis/services/data/90be49bd-e492-4251-9082-b756434b8c45/MapServer/WmsServer?request=GetLegendGr

phic%26version=1.3.0%26format=image/png%26layer=0

QGIS 2.18: works

QGIS 2.99 nightly build (within OSGEO4W Installer) legend fails with "Returned legend images flawed"

History

#1 - 2017-03-07 06:26 AM - Giovanni Manghi

- Priority changed from Normal to Severe/Regression

- Target version changed from Future Release - High Priority to Version 3.0

#2 - 2017-04-30 05:08 PM - Giovanni Manghi

- Regression? set to Yes

#3 - 2017-04-30 05:09 PM - Giovanni Manghi

- Priority changed from Severe/Regression to High

#4 - 2017-05-01 01:10 AM - Giovanni Manghi

- Easy fix? set to No

#5 - 2018-02-13 11:26 AM - Nyall Dawson

- Description updated

- Status changed from Open to Feedback
I can't reproduce - I get the exact same legend in 2.18 and 2.99.

Is this still an issue on current nightlies?

#6 - 2018-08-15 07:19 PM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Feedback to Closed

Closing for lack of feedback.
